<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['meet-del'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['room_id'])) puterror2($TEXT['meet-err-edit2']);
  if(strlen($_POST['room_id'])>11) puterror2($TEXT['meet-err-edit3']);
  $_POST['room_id'] = rep($_POST['room_id']);

  //*************************************
  $query = "SELECT `room_name` FROM `tbl_meet_room` WHERE `room_id`='".$_POST['room_id']."' ";
  $result = mysql_query($query);
   if(!$result) puterror2($TEXT['error-tbl48']);
   $result2 = mysql_fetch_array($result,MYSQL_ASSOC);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-meet3'];
  $what = $result2['room_name'].$TEXT['log-id'].$_POST['room_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "DELETE FROM `tbl_meet_room` WHERE `room_id`='".$_POST['room_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['meet-err-edit7']);
  require_once "../util/bottom.php";
?>